/*
 * <N_OCO_COPYRIGHT>
 * Licensed Materials - Property of IBM
 * 
 * 5724-H72, 5655-R36, 5724-L26, 5655-L82     
 * 
 * (c) Copyright IBM Corp. 2008 All Rights Reserved.
 * 
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with
 * IBM Corp.
 * <NOC_COPYRIGHT>
 */

package com.ibm.mq.jmqi.samples;

import com.ibm.mq.jmqi.JmqiPropertyHandler;

/**
 * Property handler for the Jmqi samples
 */
public class SamplePropertyHandler implements JmqiPropertyHandler {

  // @COPYRIGHT_START@
  /** Comment for copyright_notice */
  static final String copyright_notice = "Licensed Materials - Property of IBM "
      + "5724-H72, 5655-R36, 5724-L26, 5655-L82                "
      + "(c) Copyright IBM Corp. 2008 All Rights Reserved. "
      + "US Government Users Restricted Rights - Use, duplication or "
      + "disclosure restricted by GSA ADP Schedule Contract with " + "IBM Corp.";
  // @COPYRIGHT_END@

  /** The SCCSID which is expanded when the file is extracted from CMVC */
  public static final String sccsid = "@(#) com.ibm.mq.jmqi/src/com/ibm/mq/jmqi/samples/SamplePropertyHandler.java, jmqi, k701, k701-103-100812 1.3.2.1 09/08/17 08:58:26";

  /**
   * @param name
   * @return the named string property
   */
  public String getProperty(String name) {
    return System.getProperty(name);
  }
}
